svn::AnnotateLine Class Reference

`#include <annotate_line.hpp>`

## Public Member Functions

| AnnotateLine (apr_int64_t line_no, svn_revnum_t revision, const char *author, const char *date, const char *line)
| AnnotateLine (const AnnotateLine &other)
virtual | ~AnnotateLine ()
apr_int64_t | lineNumber () const
svn_revnum_t | revision () const
const std::string & | author () const
const std::string & | date () const
const std::string & | line () const

## Detailed Description

This class holds the data for one line in an annotation

## Constructor & Destructor Documentation

svn::AnnotateLine::AnnotateLine | ( | apr_int64_t | line_no,
|  | svn_revnum_t | revision,
|  | const char * | author,
|  | const char * | date,
|  | const char * | line
| ) |  |

inline

svn::AnnotateLine::AnnotateLine | ( | const AnnotateLine & | other | ) |

inline

virtual svn::AnnotateLine::~AnnotateLine | ( |  | ) |

inline virtual

destructor

## Member Function Documentation

const std::string& svn::AnnotateLine::author | ( |  | ) | const

inline

const std::string& svn::AnnotateLine::date | ( |  | ) | const

inline

const std::string& svn::AnnotateLine::line | ( |  | ) | const

inline

apr_int64_t svn::AnnotateLine::lineNumber | ( |  | ) | const

inline

svn_revnum_t svn::AnnotateLine::revision | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- annotate_line.hpp